ru.bitel.bgbilling.plugins.bonus.common.bean

## Class BonusBalance

- java.lang.Object
- - ru.bitel.bgbilling.plugins.bonus.common.bean.BonusBalance

-     public class BonusBalance
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `chargeType`
    `static int` | `paymentType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BonusBalance()`
    `BonusBalance(int id, int type, java.math.BigDecimal sum, java.math.BigDecimal excess, java.util.Date date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()`
    `java.lang.String` | `getDateString()`
    `java.math.BigDecimal` | `getDebitSum()`
    `int` | `getId()`
    `java.math.BigDecimal` | `getRest()`
    `java.math.BigDecimal` | `getSum()`
    `int` | `getType()`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDateString(java.lang.String dateString)`
    `void` | `setDebitSum(java.math.BigDecimal debitSum)`
    `void` | `setId(int id)`
    `void` | `setRest(java.math.BigDecimal excess)`
    `void` | `setSum(java.math.BigDecimal sum)`
    `void` | `setType(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### paymentType

          public static final int paymentType

      See Also:
        Constant Field Values

    - #### chargeType

          public static final int chargeType

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BonusBalance

          public BonusBalance()

    - #### BonusBalance

          public BonusBalance(int id,
                              int type,
                              java.math.BigDecimal sum,
                              java.math.BigDecimal excess,
                              java.util.Date date)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getRest

          public java.math.BigDecimal getRest()

    - #### setRest

          public void setRest(java.math.BigDecimal excess)

    - #### getDebitSum

          public java.math.BigDecimal getDebitSum()

    - #### setDebitSum

          public void setDebitSum(java.math.BigDecimal debitSum)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getDateString

          public java.lang.String getDateString()

    - #### setDateString

          public void setDateString(java.lang.String dateString)